# Get account Get a summary of registration information related to a specific account, as well as some financial data such as its current balance. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Accounts", "description": "Endpoints to manage accounts" } ], "components": { "parameters": { "AccountIdPath": { "name": "accountId", "in": "path", "description": "Account ID", "required": true, "schema": { "type": "integer", "format": "int64", "minimum": 1, "example": 123 } }, "ShowChildrenQuery": { "name": "show_children", "in": "query", "required": false, "description": "If`true`, the response lists children and grandchildren account numbers in the `children` array. Default is `false`.\n\nRefer to the [Related accounts](https://developers.pismo.io/pismo-docs/docs/accounts-overview#related-accounts) guide section for information about the parent and child relationship between Pismo platform accounts.\n", "schema": { "type": "boolean", "example": true } } }, "schemas": { "AccountCreationDate": { "type": "string", "format": "date", "example": "2021-10-21", "description": "Date of account creation in ISO 8601 format (yyyy-mm-dd)." }, "AccountDataResponse": { "title": "AccountDataResponse", "type": "object", "required": [ "acquisition_id", "document_number", "entity_type", "name", "email", "org", "program_name", "program_type", "status", "status_reason_id", "status_reason_description", "collections_status", "open_due_date", "current_cicle", "current_balance", "available_withdrawal_credit", "available_monthly_credit", "available_total_installment_credit", "withdrawal_credit_limit", "monthly_credit_limit", "total_installment_credit_limit", "total_credit_limit", "max_credit_limit", "available_limit", "blocked_amount", "postal_address_type", "social_name", "exchange_mode", "customer_id", "external_id", "creation_date", "program_due_date_id", "account_id", "account_status_date", "program_id", "parent_account_id", "custom_fields" ], "properties": { "acquisition_id": { "$ref": "#/components/schemas/AcquisitionIdOfApplicationForm" }, "document_number": { "$ref": "#/components/schemas/DocumentNumber" }, "entity_type": { "$ref": "#/components/schemas/EntityType" }, "name": { "$ref": "#/components/schemas/IndividualsName" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" }, "org": { "$ref": "#/components/schemas/OrganizationID" }, "program_name": { "$ref": "#/components/schemas/ProgramName" }, "program_type": { "$ref": "#/components/schemas/ProgramType" }, "status": { "$ref": "#/components/schemas/AccountStatus" }, "status_reason_id": { "$ref": "#/components/schemas/StatusReasonID" }, "status_reason_description": { "$ref": "#/components/schemas/StatusReasonDescription" }, "collections_status": { "$ref": "#/components/schemas/CollectionStatus" }, "open_due_date": { "$ref": "#/components/schemas/OpenDueDate" }, "current_cicle": { "$ref": "#/components/schemas/CurrentCycle" }, "current_balance": { "$ref": "#/components/schemas/CurrentBalance" }, "available_withdrawal_credit": { "$ref": "#/components/schemas/AvailableWithdrawalCredit" }, "available_monthly_credit": { "$ref": "#/components/schemas/AvailableMonthlyCredit" }, "available_total_installment_credit": { "$ref": "#/components/schemas/AvailableTotalInstallmentCredit" }, "withdrawal_credit_limit": { "$ref": "#/components/schemas/WithdrawalCreditLimit" }, "monthly_credit_limit": { "$ref": "#/components/schemas/MonthlyCreditLimit" }, "total_installment_credit_limit": { "$ref": "#/components/schemas/TotalInstallmentCreditLimit" }, "total_credit_limit": { "$ref": "#/components/schemas/TotalCreditLimit" }, "max_credit_limit": { "$ref": "#/components/schemas/MaxCreditLimit" }, "available_limit": { "$ref": "#/components/schemas/AvailableLimit" }, "blocked_amount": { "$ref": "#/components/schemas/BlockedAmount" }, "postal_address_type": { "$ref": "#/components/schemas/PostalAddressType" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "exchange_mode": { "$ref": "#/components/schemas/ExchangeMode" }, "customer_id": { "$ref": "#/components/schemas/CustomerID" }, "external_id": { "$ref": "#/components/schemas/AccountExternalId" }, "creation_date": { "$ref": "#/components/schemas/AccountCreationDate" }, "program_due_date_id": { "$ref": "#/components/schemas/ProgramDueDateID" }, "account_id": { "$ref": "#/components/schemas/AccountID" }, "account_status_date": { "$ref": "#/components/schemas/AccountStatusDate" }, "program_id": { "$ref": "#/components/schemas/ProgramID" }, "parent_account_id": { "$ref": "#/components/schemas/ParentAccountID" }, "custom_fields": { "$ref": "#/components/schemas/CustomFieldsString" }, "children": { "$ref": "#/components/schemas/Children" }, "account_type": { "$ref": "#/components/schemas/AccountType" }, "account_name": { "$ref": "#/components/schemas/AccountName" }, "division_id": { "$ref": "#/components/schemas/DivisionID" }, "currency_numeric_code": { "$ref": "#/components/schemas/CurrencyNumericCode" }, "is_centralizer": { "$ref": "#/components/schemas/IsCentralizer" } } }, "IndividualsEmailAddress": { "type": "string", "description": "Email address.", "format": "email", "maxLength": 100, "example": "jenna.flect@email.com" }, "AccountExternalId": { "type": "string", "description": "\nClient-created ID from an external system or application. **REQUIRED** for `VIRTUAL` accounts.\n", "maxLength": 60, "example": "8c8a4dd7-e48f-4c15-85b7-9d12f401057f" }, "AccountID": { "type": "integer", "format": "int64", "description": "Account ID", "example": 1001 }, "AccountName": { "type": "string", "description": "Custom account's name", "maxLength": 60, "example": "Account cash management" }, "AccountStatus": { "type": "string", "description": "Account status. The pre-defined account statuses are `DEBIT_ONLY`, `NORMAL`, `BLOCKED`, and `CANCELLED`. You can create your own account statuses with the [Create status](https://developers.pismo.io/pismo-docs/reference/v4-post-account-status) endpoint. \n", "maxLength": 200, "example": "NORMAL" }, "AccountStatusDate": { "type": "string", "format": "date-time", "description": "Account status date. Format = yyyy-mm-dd:hr:mm:ss.", "example": "2021-10-21T18:41:26.000Z" }, "AccountType": { "type": "string", "description": "\nAccount type:\n\n- `PHYSICAL`—Default. A parent account is always physical. A child account can be physical or virtual. \n\n A *physical* card is a plastic or metal embossed card. \"Physical\" here means an account that represents an actual client entity (person or company). A physical account supports full operations— transfers, payments, cards, interest, statements, and so on. \n\n- `VIRTUAL`—Always a child account. \n\n `parent_account_id` and `external_id` are **REQUIRED** for virtual accounts. \n \n Virtual accounts can have a many to one mapping to a physical account where the balance lives at the parent account. \n\nWhile a `document_number` is **REQUIRED** for a virtual account, it is ignored since it shares a parent account's entity and `document_number`.\n\n**Key difference summary**\n\n| Feature | Physical | Virtual |\n| ------------------------------ | ------------------ | -------------------------- |\n| Fund ownership | Yes | No (parent owns funds) |\n| Independent balance | Usually | Typically parent balance |\n| Persistent ID | One account | Can be many to one parent |\n| Regulatory/KYC link | Direct | Inherited/indirect |\n| Primary use | Real account | Segmentation & routing | \n", "enum": [ "PHYSICAL", "VIRTUAL" ], "example": "PHYSICAL" }, "AcquisitionIdOfApplicationForm": { "type": "integer", "format": "int64", "description": "ID of the application form that originated the account", "example": 1234, "minimum": 1 }, "AvailableLimit": { "type": "number", "format": "float", "example": 100.43, "description": "Amount available for this account" }, "AvailableMonthlyCredit": { "type": "number", "format": "float", "description": "Monthly amount available in credit programs", "example": 100.43 }, "AvailableTotalInstallmentCredit": { "type": "number", "description": "Amount available for installments in credit programs", "format": "float", "example": 100.43 }, "AvailableWithdrawalCredit": { "type": "number", "format": "float", "example": 100.43, "description": "Amount available for withdrawal in credit programs" }, "BlockedAmount": { "type": "number", "format": "float", "example": 100.43, "description": "Amount blocked in this account" }, "Children": { "type": "array", "description": "Array of children and grandchildren account numbers", "items": { "type": "integer", "format": "int64" }, "example": [ 121, 122, 123 ] }, "CollectionStatus": { "type": "string", "description": "Account's financial status for credit programs", "enum": [ "NORMAL", "OVERDUE" ], "example": "NORMAL" }, "CurrencyNumericCode": { "type": "string", "description": "ISO 4217 code for account's currency. If not defined, the Pismo platform uses the program currency code. If not defined at the program level, the platform uses the currency code defined at the organization level.\n", "maxLength": 3, "example": "986" }, "IsCentralizer": { "type": "boolean", "description": "Is this a centralizer account? A centralizer account, within the account hierarchy, is the account responsible for invoice billing. Defaults to `false`.", "example": false }, "CurrentBalance": { "type": "number", "format": "float", "description": "Current balance", "example": 100.43 }, "CurrentCycle": { "type": "integer", "format": "int32", "description": "Current statement cycle", "example": 3 }, "CustomerID": { "type": "integer", "format": "int64", "description": "Customer ID", "example": 100211299 }, "CustomFieldsString": { "type": "string", "description": "Key/value field for custom information. (Limited to 1014 bytes.)", "example": "{\"field_01\": \"value01\", \"field_02\": \"value02\" }" }, "DivisionID": { "type": "integer", "format": "int64", "description": "Account's administrative division ID", "example": 2856813 }, "DocumentNumber": { "type": "string", "maxLength": 15, "description": "Document number, such as a government tax ID.", "example": "31457828046" }, "EntityType": { "type": "string", "description": "Entity type", "enum": [ "INDIVIDUAL", "COMPANY" ], "maxLength": 10, "example": "INDIVIDUAL" }, "ExchangeMode": { "type": "string", "description": "When a foreign transaction is charged the exchange rate: \n\n* `SAME_DAY` - Day the transaction occurred\n* `CLOSING` - Statement's closing date\n\nThis field is valid for credit [programs](https://developers.pismo.io/pismo-docs/docs/program-types) **only**.\n", "enum": [ "SAME_DAY", "CLOSING" ], "example": "SAME_DAY" }, "IndividualsName": { "type": "string", "description": "Name", "example": "Hyman Roth" }, "MaxCreditLimit": { "type": "number", "format": "float", "description": "Maximum credit amount approved for this account", "example": 100.43 }, "MonthlyCreditLimit": { "type": "number", "description": "Monthly credit limit for credit programs", "format": "float", "example": 100.43 }, "OpenDueDate": { "type": "string", "format": "date", "description": "Due date of currently open statement. Format = yyyy-mm-dd.", "example": "2022-07-03" }, "OrganizationID": { "type": "string", "description": "Organization ID", "example": "TN-34778262-f4f0-464d-b4c6-a14e2dc6f4be" }, "ParentAccountID": { "type": "integer", "format": "int64", "description": "Parent account ID. **REQUIRED** for `VIRTUAL` accounts.", "example": 8675309 }, "PostalAddressType": { "type": "integer", "format": "int64", "example": 1, "description": "ID of the mailing address registered for this account." }, "ProgramDueDateID": { "type": "integer", "format": "int64", "description": "ID of Program due date", "example": 1234 }, "ProgramID": { "type": "integer", "format": "int64", "description": "Program ID", "example": 12345 }, "ProgramName": { "type": "string", "description": "Program name", "example": "Digital wallet program" }, "ProgramType": { "type": "string", "description": "Program type: \n * `CREDITO` — Full balance credit accounts\n * `PRE-PAGO` — Full balance prepaid accounts\n * `DEBITO` — Full balance debit accounts\n * `MERCHANT` — Merchant accounts\n * `CREDITO ZERO-BALANCE` — Zero balance credit accounts\n * `PRE-PAGO ZERO-BALANCE` — Zero balance prepaid accounts\n * `DEBITO ZERO-BALANCE` — Zero balance debit accounts\n * `CURRENT ACCOUNTS` — Current accounts\n * `INTERNAL ACCOUNTS` — Internal accounts\n * `CORRESPONDENT ACCOUNTS` — Correspondent accounts\n\nFor more information, refer to the [Program types](https://developers.pismo.io/pismo-docs/docs/program-types) guide.\n", "enum": [ "CREDITO", "DEBITO", "PRE-PAGO", "MERCHANT", "CREDITO ZERO-BALANCE", "PRE-PAGO ZERO BALANCE", "DEBITO ZERO-BALAMCE", "CURRENT ACCOUNTS", "INTERNAL ACCOUNTS", "CORRESPONDENT ACCOUNTS" ], "example": "DEBITO" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "SocialName": { "type": "string", "description": "Social name.", "maxLength": 64, "example": "Jack" }, "StatusReasonID": { "type": "integer", "format": "int64", "example": 123, "minimum": 1, "description": "ID of the reason why the account is in its current status. You can create reasons with the [Create status reason](https://developers.pismo.io/pismo-docs/reference/v4-post-account-reason) endpoint. \n" }, "StatusReasonDescription": { "type": "string", "description": "Description of why the account is in its current status", "maxLength": 80, "example": "Registration restriction" }, "TotalCreditLimit": { "type": "number", "format": "float", "description": "User-set total credit limit. This can be any value up to `max_credit_limit`.", "example": 100.43 }, "TotalInstallmentCreditLimit": { "type": "number", "format": "float", "description": "Amount limit for installments in credit programs", "example": 100.43 }, "WithdrawalCreditLimit": { "type": "number", "format": "float", "description": "Amount limit for withdrawal in credit programs", "example": 100.43 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v1/accounts/{accountId}": { "get": { "operationId": "get-accounts-v1-accounts", "summary": "Get account", "description": "Get a summary of registration information related to a specific account, as well as some financial data such as its current balance.\n", "tags": [ "Accounts" ], "parameters": [ { "$ref": "#/components/parameters/AccountIdPath" }, { "$ref": "#/components/parameters/ShowChildrenQuery" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AccountDataResponse" }, "examples": { "Account data": { "value": { "acquisition_id": 123, "document_number": "514-08-3862", "entity_type": "INDIVIDUAL", "name": "John Doe", "email": "john.doe@email.com", "org": "TN-34778262-f4f0-464d-b4c6-a14e2dc6f4be", "program_name": "Digital wallet program", "program_type": "CREDITO", "status": "CANCELLED", "status_reason_id": 36, "status_reason_description": "FRAUD SUSPECTED", "collections_status": "NORMAL", "open_due_date": "2018-01-01", "current_cicle": 3, "current_balance": 100.43, "available_withdrawal_credit": 0, "available_monthly_credit": 0, "available_total_installment_credit": 0, "withdrawal_credit_limit": 0, "monthly_credit_limit": 0, "total_installment_credit_limit": 0, "total_credit_limit": 0, "max_credit_limit": 1000, "available_limit": 2270, "blocked_amount": 0.04, "postal_address_type": 123, "social_name": "John Doe", "exchange_mode": "SAME_DAY", "customer_id": 123, "external_id": "3ed4f6d4-ad35-4857-b1e3-dbf5d5bd4148", "creation_date": "2021-10-21", "program_due_date_id": 123, "account_id": 123, "account_status_date": "2021-10-21T18:41:26.000Z", "program_id": 123, "parent_account_id": 122, "custom_fields": "{ \"some_key\": \"1\" }", "children": [ 121, 122, 123 ], "currency_numeric_code": "986", "account_type": "PHYSICAL", "account_name": "Account cash management" } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Account not found": { "value": { "message": "Account not found" } } } } } }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Not possible to get the account" } } } } } } } } } } } ```